"use client"
import { usePathname } from "next/navigation"
import { useEffect } from "react"

import { hotelreservation } from "@/constants/routes/hotelReservation"
import { detailsStorageName } from "@/stores/enter-details"

import useLang from "@/hooks/useLang"

/**
 * Cleanup component to make sure no stale data is left
 * from previous booking when user is not in the booking
 * flow anymore
 */
export default function StorageCleaner() {
  const lang = useLang()
  const pathname = usePathname()

  useEffect(() => {
    if (!pathname.startsWith(hotelreservation(lang))) {
      sessionStorage.removeItem(detailsStorageName)
    }
  }, [lang, pathname])

  return null
}
